
Katello - Bug #20125

Duplicate declaration with --foreman-proxy-puppet false

06/27/2017 02:12 PM - Anthony Chevalet

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

yum -y localinstall http://fedorapeople.org/groups/katello/releases/yum/3.4/katello/el7/x86_64/kat

ello-repos-latest.rpm

yum -y localinstall http://yum.theforeman.org/releases/1.15/el7/x86_64/foreman-release.rpm

yum -y localinstall https://yum.puppetlabs.com/puppetlabs-release-pc1-el-7.noarch.rpm # will insta

ll with Puppet 4

yum -y localinstall http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

yum -y install foreman-release-scl

yum -y update

yum -y install katello

 
$ rpm -qa *katello*  *puppet* *foreman* | sort

foreman-installer-katello-3.4.1.3-1.el7.noarch

katello-3.4.2-1.el7.noarch

katello-certs-tools-2.4.0-1.el7.noarch

katello-common-3.4.2-1.el7.noarch

katello-debug-3.4.2-1.el7.noarch

katello-installer-base-3.4.1.3-1.el7.noarch

katello-repos-3.4.0-3.el7.noarch

katello-selinux-3.0.2-1.el7.noarch

katello-service-3.4.2-1.el7.noarch

pulp-katello-1.0.2-1.el7.noarch

pulp-puppet-plugins-2.12.2-1.el7.noarch

pulp-puppet-tools-2.12.2-1.el7.noarch

puppet-agent-1.10.4-1.el7.x86_64

puppetlabs-release-pc1-1.1.0-5.el7.noarch

python-pulp-puppet-common-2.12.2-1.el7.noarch

tfm-rubygem-hammer_cli_katello-0.10.0-1.el7.noarch

tfm-rubygem-katello-3.4.2-1.el7.noarch

 
$ foreman-installer --scenario katello --foreman-proxy-puppet false --foreman-proxy-puppetca false

[ERROR 2017-06-27 18:01:49 verbose]  Evaluation Error: Error while evaluating a Resource Statement

, Duplicate declaration: File[/etc/puppetlabs/puppet/ssl/private_keys] is already declared in file

 /usr/share/foreman-installer/modules/foreman_proxy/manifests/config.pp:145; cannot redeclare at /

usr/share/foreman-installer/modules/puppet/manifests/server/config.pp:134 at /usr/share/foreman-in

staller/modules/puppet/manifests/server/config.pp:134:3 on node katello.local

Related issues:

Is duplicate of Katello - Bug #18806: Duplicate declaration: /etc/foreman-pro... Closed

History

#1 - 06/27/2017 02:14 PM - Anthony Chevalet

- Subject changed from Katello 3.4 - Duplicate declaration with default installation options to Katello 3.4.2 installation - Duplicate declaration with

default options

#2 - 06/27/2017 03:47 PM - Anthony Chevalet
- Subject changed from Katello 3.4.2 installation - Duplicate declaration with default options to Duplicate declaration with --foreman-proxy-puppet false

with options --foreman-proxy-puppet false --foreman-proxy-puppetca false

#3 - 06/27/2017 03:49 PM - Anthony Chevalet

- Description updated

#4 - 06/27/2017 03:50 PM - Anthony Chevalet

- Status changed from New to Duplicate

Duplicate of http://projects.theforeman.org/issues/18806

#5 - 06/27/2017 03:51 PM - Anthony Chevalet

- Priority changed from High to Normal

#6 - 06/27/2017 03:57 PM - Anthony Chevalet

- Is duplicate of Bug #18806: Duplicate declaration: /etc/foreman-proxy/ssl_key.pem added

#7 - 07/05/2017 02:11 PM - Justin Sherrill

- translation missing: en.field_release set to 166
